<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>getExprValue &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>getExprValue
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">17 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/parse.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/parse.f03.html'>parse.f03</a></li>
    
     <li><a href='../module/parsefromfile.html'>parseFromFile</a></li>
    
  
     <li class="active">getExprValue</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function getExprValue(expr, var, varVal, nval)
    
    
   
</h2>
    
  
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Uses</h3>
      </div>
      <ul class="list-group">
      
      <li class="list-group-item">
  <ul class="list-inline">
    
    <li><a href='../module/interpreter.html'>interpreter</a></li>
    
    <li><a href='../module/flubiompi.html'>flubioMpi</a></li>
    
  </ul>
      </li>
      
      
      
      <li class="list-group-item">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~getexprvalue~~UsesGraph Pages: 1 -->
<svg id="procgetexprvalueUsesGraph" width="272pt" height="74pt"
 viewBox="0.00 0.00 272.00 74.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~getexprvalue~~UsesGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 70)">
<title>proc~~getexprvalue~~UsesGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-70 268,-70 268,4 -4,4"/>
<!-- proc~getexprvalue -->
<g id="proc~~getexprvalue~~UsesGraph_node1" class="node">
<title>proc~getexprvalue</title>
<polygon fill="none" stroke="#000000" points="264,-45 188,-45 188,-21 264,-21 264,-45"/>
<text text-anchor="middle" x="226" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">getExprValue</text>
</g>
<!-- module~flubiompi -->
<g id="proc~~getexprvalue~~UsesGraph_node2" class="node">
<title>module~flubiompi</title>
<g id="a_proc~~getexprvalue~~UsesGraph_node2"><a xlink:href=".././module/flubiompi.html" xlink:title="flubioMpi">
<polygon fill="#337ab7" stroke="#337ab7" points="149,-66 94,-66 94,-42 149,-42 149,-66"/>
<text text-anchor="middle" x="121.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioMpi</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;module~flubiompi -->
<g id="proc~~getexprvalue~~UsesGraph_edge1" class="edge">
<title>proc~getexprvalue&#45;&gt;module~flubiompi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M187.9775,-40.6409C178.5491,-42.5356 168.4516,-44.5647 159.0462,-46.4548"/>
<polygon fill="#000000" stroke="#000000" points="158.2906,-43.0366 149.1762,-48.4383 159.6698,-49.8994 158.2906,-43.0366"/>
</g>
<!-- module~interpreter -->
<g id="proc~~getexprvalue~~UsesGraph_node3" class="node">
<title>module~interpreter</title>
<g id="a_proc~~getexprvalue~~UsesGraph_node3"><a xlink:href=".././module/interpreter.html" xlink:title="interpreter">
<polygon fill="#337ab7" stroke="#337ab7" points="152,-24 91,-24 91,0 152,0 152,-24"/>
<text text-anchor="middle" x="121.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpreter</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;module~interpreter -->
<g id="proc~~getexprvalue~~UsesGraph_edge2" class="edge">
<title>proc~getexprvalue&#45;&gt;module~interpreter</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M187.9775,-25.3591C179.5968,-23.675 170.6874,-21.8846 162.2054,-20.18"/>
<polygon fill="#000000" stroke="#000000" points="162.6289,-16.6952 152.1353,-18.1564 161.2497,-23.558 162.6289,-16.6952"/>
</g>
<!-- mpi -->
<g id="proc~~getexprvalue~~UsesGraph_node4" class="node">
<title>mpi</title>
<g id="a_proc~~getexprvalue~~UsesGraph_node4"><a xlink:href="http://www.mpi-forum.org/docs/mpi-3.1/mpi31-report/node410.htm" xlink:title="mpi">
<polygon fill="#337ab7" stroke="#337ab7" points="54.5,-66 .5,-66 .5,-42 54.5,-42 54.5,-66"/>
<text text-anchor="middle" x="27.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mpi</text>
</a>
</g>
</g>
<!-- module~flubiompi&#45;&gt;mpi -->
<g id="proc~~getexprvalue~~UsesGraph_edge3" class="edge">
<title>module~flubiompi&#45;&gt;mpi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M93.8053,-54C84.7376,-54 74.5096,-54 64.8499,-54"/>
<polygon fill="#000000" stroke="#000000" points="64.673,-50.5001 54.6729,-54 64.6729,-57.5001 64.673,-50.5001"/>
</g>
<!-- module~precision -->
<g id="proc~~getexprvalue~~UsesGraph_node5" class="node">
<title>module~precision</title>
<g id="a_proc~~getexprvalue~~UsesGraph_node5"><a xlink:href=".././module/precision.html" xlink:title="precision">
<polygon fill="#337ab7" stroke="#337ab7" points="55,-24 0,-24 0,0 55,0 55,-24"/>
<text text-anchor="middle" x="27.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">precision</text>
</a>
</g>
</g>
<!-- module~interpreter&#45;&gt;module~precision -->
<g id="proc~~getexprvalue~~UsesGraph_edge4" class="edge">
<title>module~interpreter&#45;&gt;module~precision</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M90.9809,-12C82.7487,-12 73.7441,-12 65.171,-12"/>
<polygon fill="#000000" stroke="#000000" points="65.0086,-8.5001 55.0086,-12 65.0086,-15.5001 65.0086,-8.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="490pt" height="32pt"
 viewBox="0.00 0.00 489.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 485.5,-28 485.5,4 -4,4"/>
<!-- Module -->
<g id="node1" class="node">
<title>Module</title>
<polygon fill="#337ab7" stroke="#337ab7" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Module</text>
</g>
<!-- Submodule -->
<g id="node2" class="node">
<title>Submodule</title>
<polygon fill="#5bc0de" stroke="#5bc0de" points="139.5,-24 72.5,-24 72.5,0 139.5,0 139.5,-24"/>
<text text-anchor="middle" x="106" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Submodule</text>
</g>
<!-- Subroutine -->
<g id="node3" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="222,-24 158,-24 158,0 222,0 222,-24"/>
<text text-anchor="middle" x="190" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node4" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="294,-24 240,-24 240,0 294,0 294,-24"/>
<text text-anchor="middle" x="267" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="366,-24 312,-24 312,0 366,0 366,-24"/>
<text text-anchor="middle" x="339" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="481.5,-24 384.5,-24 384.5,0 481.5,0 481.5,-24"/>
<text text-anchor="middle" x="433" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a submodule to the (sub)module which it is
    descended from. Dashed arrows point from a module or program unit to 
    modules which it uses.
    </p>
    </div></div></div></div>
      </li>
      
      </ul>
    </div>
    


    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-expr%7E6"></span>character(len=275)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>expr</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-var%7E3"></span>character(len=10),</td>
  <td></td>
  <td></td>
  
  <td>dimension(nval)</td><td>::</td>
  <td><strong>var</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-varval%7E3"></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>varVal</strong>(nval)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nval"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>nval</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-getexprvalue"></span>real
  </small></h3>
    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~getexprvalue~~CallsGraph Pages: 1 -->
<svg id="procgetexprvalueCallsGraph" width="641pt" height="104pt"
 viewBox="0.00 0.00 641.00 104.21" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~getexprvalue~~CallsGraph" class="graph" transform="scale(.5822 .5822) rotate(0) translate(4 175)">
<title>proc~~getexprvalue~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-175 1097,-175 1097,4 -4,4"/>
<!-- proc~getexprvalue -->
<g id="proc~~getexprvalue~~CallsGraph_node1" class="node">
<title>proc~getexprvalue</title>
<polygon fill="none" stroke="#000000" points="76,-108 0,-108 0,-84 76,-84 76,-108"/>
<text text-anchor="middle" x="38" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">getExprValue</text>
</g>
<!-- flubiostopmsg -->
<g id="proc~~getexprvalue~~CallsGraph_node2" class="node">
<title>flubiostopmsg</title>
<polygon fill="#777777" stroke="#777777" points="191,-171 112,-171 112,-147 191,-147 191,-171"/>
<text text-anchor="middle" x="151.5" y="-156.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostopmsg</text>
</g>
<!-- proc~getexprvalue&#45;&gt;flubiostopmsg -->
<g id="proc~~getexprvalue~~CallsGraph_edge1" class="edge">
<title>proc~getexprvalue&#45;&gt;flubiostopmsg</title>
<path fill="none" stroke="#000000" d="M58.9655,-108.1034C73.7344,-116.5794 94.0043,-128.1119 112,-138 114.4057,-139.3219 116.9001,-140.679 119.4128,-142.0365"/>
<polygon fill="#000000" stroke="#000000" points="117.9998,-145.2503 128.4667,-146.8917 121.3079,-139.0813 117.9998,-145.2503"/>
</g>
<!-- proc~evaluate -->
<g id="proc~~getexprvalue~~CallsGraph_node3" class="node">
<title>proc~evaluate</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node3"><a xlink:href=".././proc/evaluate.html" xlink:title="evaluate">
<polygon fill="#d94e8f" stroke="#d94e8f" points="178.5,-129 124.5,-129 124.5,-105 178.5,-105 178.5,-129"/>
<text text-anchor="middle" x="151.5" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">evaluate</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;proc~evaluate -->
<g id="proc~~getexprvalue~~CallsGraph_edge2" class="edge">
<title>proc~getexprvalue&#45;&gt;proc~evaluate</title>
<path fill="none" stroke="#000000" d="M76.1096,-103.0511C88.4865,-105.3411 102.1942,-107.8773 114.4896,-110.1523"/>
<polygon fill="#000000" stroke="#000000" points="113.9556,-113.6128 124.4255,-111.9906 115.2292,-106.7296 113.9556,-113.6128"/>
</g>
<!-- proc~init -->
<g id="proc~~getexprvalue~~CallsGraph_node4" class="node">
<title>proc~init</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node4"><a xlink:href=".././proc/init.html" xlink:title="init">
<polygon fill="#d9534f" stroke="#d9534f" points="178.5,-87 124.5,-87 124.5,-63 178.5,-63 178.5,-87"/>
<text text-anchor="middle" x="151.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">init</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;proc~init -->
<g id="proc~~getexprvalue~~CallsGraph_edge3" class="edge">
<title>proc~getexprvalue&#45;&gt;proc~init</title>
<path fill="none" stroke="#000000" d="M76.1096,-88.9489C88.4865,-86.6589 102.1942,-84.1227 114.4896,-81.8477"/>
<polygon fill="#000000" stroke="#000000" points="115.2292,-85.2704 124.4255,-80.0094 113.9556,-78.3872 115.2292,-85.2704"/>
</g>
<!-- proc~destroyfunc -->
<g id="proc~~getexprvalue~~CallsGraph_node5" class="node">
<title>proc~destroyfunc</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node5"><a xlink:href=".././proc/destroyfunc.html" xlink:title="destroyfunc">
<polygon fill="#d9534f" stroke="#d9534f" points="185,-45 118,-45 118,-21 185,-21 185,-45"/>
<text text-anchor="middle" x="151.5" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">destroyfunc</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;proc~destroyfunc -->
<g id="proc~~getexprvalue~~CallsGraph_edge4" class="edge">
<title>proc~getexprvalue&#45;&gt;proc~destroyfunc</title>
<path fill="none" stroke="#000000" d="M58.9655,-83.8966C73.7344,-75.4206 94.0043,-63.8881 112,-54 114.4057,-52.6781 116.9001,-51.321 119.4128,-49.9635"/>
<polygon fill="#000000" stroke="#000000" points="121.3079,-52.9187 128.4667,-45.1083 117.9998,-46.7497 121.3079,-52.9187"/>
</g>
<!-- proc~identifica -->
<g id="proc~~getexprvalue~~CallsGraph_node6" class="node">
<title>proc~identifica</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node6"><a xlink:href=".././proc/identifica.html" xlink:title="identifica">
<polygon fill="#d9534f" stroke="#d9534f" points="298.5,-168 243.5,-168 243.5,-144 298.5,-144 298.5,-168"/>
<text text-anchor="middle" x="271" y="-153.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">identifica</text>
</a>
</g>
</g>
<!-- proc~init&#45;&gt;proc~identifica -->
<g id="proc~~getexprvalue~~CallsGraph_edge8" class="edge">
<title>proc~init&#45;&gt;proc~identifica</title>
<path fill="none" stroke="#000000" d="M177.3538,-87.1234C182.071,-89.7808 186.8182,-92.7745 191,-96 209.6784,-110.4071 208.0138,-121.0011 227,-135 229.2993,-136.6953 231.7571,-138.3086 234.2916,-139.8321"/>
<polygon fill="#000000" stroke="#000000" points="232.6345,-142.915 243.0856,-144.6541 236.0001,-136.7772 232.6345,-142.915"/>
</g>
<!-- proc~blanks -->
<g id="proc~~getexprvalue~~CallsGraph_node7" class="node">
<title>proc~blanks</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node7"><a xlink:href=".././proc/blanks.html" xlink:title="blanks">
<polygon fill="#d9534f" stroke="#d9534f" points="298,-108 244,-108 244,-84 298,-84 298,-108"/>
<text text-anchor="middle" x="271" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">blanks</text>
</a>
</g>
</g>
<!-- proc~init&#45;&gt;proc~blanks -->
<g id="proc~~getexprvalue~~CallsGraph_edge7" class="edge">
<title>proc~init&#45;&gt;proc~blanks</title>
<path fill="none" stroke="#000000" d="M178.6164,-79.7652C194.9647,-82.6382 216.0149,-86.3373 233.8916,-89.4789"/>
<polygon fill="#000000" stroke="#000000" points="233.536,-92.9699 243.9909,-91.2536 234.7476,-86.0756 233.536,-92.9699"/>
</g>
<!-- proc~recog_variables -->
<g id="proc~~getexprvalue~~CallsGraph_node8" class="node">
<title>proc~recog_variables</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node8"><a xlink:href=".././proc/recog_variables.html" xlink:title="recog_variables">
<polygon fill="#d9534f" stroke="#d9534f" points="315,-66 227,-66 227,-42 315,-42 315,-66"/>
<text text-anchor="middle" x="271" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">recog_variables</text>
</a>
</g>
</g>
<!-- proc~init&#45;&gt;proc~recog_variables -->
<g id="proc~~getexprvalue~~CallsGraph_edge6" class="edge">
<title>proc~init&#45;&gt;proc~recog_variables</title>
<path fill="none" stroke="#000000" d="M178.6164,-70.2348C189.9206,-68.2483 203.4728,-65.8667 216.6694,-63.5476"/>
<polygon fill="#000000" stroke="#000000" points="217.4053,-66.972 226.6486,-61.794 216.1937,-60.0777 217.4053,-66.972"/>
</g>
<!-- proc~convert_b -->
<g id="proc~~getexprvalue~~CallsGraph_node9" class="node">
<title>proc~convert_b</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node9"><a xlink:href=".././proc/convert_b.html" xlink:title="convert_b">
<polygon fill="#d9534f" stroke="#d9534f" points="301,-24 241,-24 241,0 301,0 301,-24"/>
<text text-anchor="middle" x="271" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">convert_b</text>
</a>
</g>
</g>
<!-- proc~init&#45;&gt;proc~convert_b -->
<g id="proc~~getexprvalue~~CallsGraph_edge5" class="edge">
<title>proc~init&#45;&gt;proc~convert_b</title>
<path fill="none" stroke="#000000" d="M174.5585,-62.9372C179.9741,-60.05 185.7081,-56.9487 191,-54 207.1809,-44.9839 210.6275,-41.6633 227,-33 229.7541,-31.5427 232.626,-30.0702 235.5248,-28.6172"/>
<polygon fill="#000000" stroke="#000000" points="237.3283,-31.631 244.7644,-24.0841 234.245,-25.3466 237.3283,-31.631"/>
</g>
<!-- proc~blanks&#45;&gt;proc~blanks -->
<g id="proc~~getexprvalue~~CallsGraph_edge9" class="edge">
<title>proc~blanks&#45;&gt;proc~blanks</title>
<path fill="none" stroke="#000000" d="M251.4894,-108.0139C244.6761,-116.9717 251.1797,-126 271,-126 283.078,-126 290.211,-122.6474 292.3989,-118.0013"/>
<polygon fill="#000000" stroke="#000000" points="295.8076,-117.1896 290.5106,-108.0139 288.9294,-118.4901 295.8076,-117.1896"/>
</g>
<!-- proc~tokens_analyzer -->
<g id="proc~~getexprvalue~~CallsGraph_node10" class="node">
<title>proc~tokens_analyzer</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node10"><a xlink:href=".././proc/tokens_analyzer.html" xlink:title="tokens_analyzer">
<polygon fill="#d9534f" stroke="#d9534f" points="442,-66 351,-66 351,-42 442,-42 442,-66"/>
<text text-anchor="middle" x="396.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tokens_analyzer</text>
</a>
</g>
</g>
<!-- proc~recog_variables&#45;&gt;proc~tokens_analyzer -->
<g id="proc~~getexprvalue~~CallsGraph_edge10" class="edge">
<title>proc~recog_variables&#45;&gt;proc~tokens_analyzer</title>
<path fill="none" stroke="#000000" d="M315.2466,-54C323.4747,-54 332.169,-54 340.6904,-54"/>
<polygon fill="#000000" stroke="#000000" points="340.956,-57.5001 350.9559,-54 340.9559,-50.5001 340.956,-57.5001"/>
</g>
<!-- proc~add_sub -->
<g id="proc~~getexprvalue~~CallsGraph_node11" class="node">
<title>proc~add_sub</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node11"><a xlink:href=".././proc/add_sub.html" xlink:title="add_sub">
<polygon fill="#d9534f" stroke="#d9534f" points="532,-66 478,-66 478,-42 532,-42 532,-66"/>
<text text-anchor="middle" x="505" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">add_sub</text>
</a>
</g>
</g>
<!-- proc~tokens_analyzer&#45;&gt;proc~add_sub -->
<g id="proc~~getexprvalue~~CallsGraph_edge11" class="edge">
<title>proc~tokens_analyzer&#45;&gt;proc~add_sub</title>
<path fill="none" stroke="#000000" d="M442.1993,-54C450.7508,-54 459.593,-54 467.8471,-54"/>
<polygon fill="#000000" stroke="#000000" points="467.9215,-57.5001 477.9215,-54 467.9215,-50.5001 467.9215,-57.5001"/>
</g>
<!-- selectcase -->
<g id="proc~~getexprvalue~~CallsGraph_node12" class="node">
<title>selectcase</title>
<polygon fill="#777777" stroke="#777777" points="721,-107 658,-107 658,-83 721,-83 721,-107"/>
<text text-anchor="middle" x="689.5" y="-92.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">selectcase</text>
</g>
<!-- proc~add_sub&#45;&gt;selectcase -->
<g id="proc~~getexprvalue~~CallsGraph_edge12" class="edge">
<title>proc~add_sub&#45;&gt;selectcase</title>
<path fill="none" stroke="#000000" d="M532.012,-64.0509C543.0539,-67.8838 556.0246,-72.0383 568,-75 594.2121,-81.4826 624.136,-86.437 647.728,-89.7931"/>
<polygon fill="#000000" stroke="#000000" points="647.3681,-93.2765 657.753,-91.1778 648.326,-86.3424 647.3681,-93.2765"/>
</g>
<!-- proc~mul_div -->
<g id="proc~~getexprvalue~~CallsGraph_node13" class="node">
<title>proc~mul_div</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node13"><a xlink:href=".././proc/mul_div.html" xlink:title="mul_div">
<polygon fill="#d9534f" stroke="#d9534f" points="622,-66 568,-66 568,-42 622,-42 622,-66"/>
<text text-anchor="middle" x="595" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mul_div</text>
</a>
</g>
</g>
<!-- proc~add_sub&#45;&gt;proc~mul_div -->
<g id="proc~~getexprvalue~~CallsGraph_edge13" class="edge">
<title>proc~add_sub&#45;&gt;proc~mul_div</title>
<path fill="none" stroke="#000000" d="M532.003,-54C540.0277,-54 548.9665,-54 557.5309,-54"/>
<polygon fill="#000000" stroke="#000000" points="557.7051,-57.5001 567.705,-54 557.705,-50.5001 557.7051,-57.5001"/>
</g>
<!-- proc~mul_div&#45;&gt;selectcase -->
<g id="proc~~getexprvalue~~CallsGraph_edge14" class="edge">
<title>proc~mul_div&#45;&gt;selectcase</title>
<path fill="none" stroke="#000000" d="M622.0799,-65.749C631.5034,-69.8375 642.2447,-74.4977 652.3411,-78.8781"/>
<polygon fill="#000000" stroke="#000000" points="651.1927,-82.1951 661.7595,-82.9645 653.9788,-75.7734 651.1927,-82.1951"/>
</g>
<!-- proc~unary -->
<g id="proc~~getexprvalue~~CallsGraph_node14" class="node">
<title>proc~unary</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node14"><a xlink:href=".././proc/unary.html" xlink:title="unary">
<polygon fill="#d9534f" stroke="#d9534f" points="716.5,-65 662.5,-65 662.5,-41 716.5,-41 716.5,-65"/>
<text text-anchor="middle" x="689.5" y="-50.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">unary</text>
</a>
</g>
</g>
<!-- proc~mul_div&#45;&gt;proc~unary -->
<g id="proc~~getexprvalue~~CallsGraph_edge15" class="edge">
<title>proc~mul_div&#45;&gt;proc~unary</title>
<path fill="none" stroke="#000000" d="M622.0799,-53.7134C631.471,-53.6141 642.1709,-53.5008 652.237,-53.3943"/>
<polygon fill="#000000" stroke="#000000" points="652.4538,-56.8923 662.4161,-53.2866 652.3796,-49.8927 652.4538,-56.8923"/>
</g>
<!-- proc~pow -->
<g id="proc~~getexprvalue~~CallsGraph_node15" class="node">
<title>proc~pow</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node15"><a xlink:href=".././proc/pow.html" xlink:title="pow">
<polygon fill="#d9534f" stroke="#d9534f" points="811,-65 757,-65 757,-41 811,-41 811,-65"/>
<text text-anchor="middle" x="784" y="-50.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">pow</text>
</a>
</g>
</g>
<!-- proc~unary&#45;&gt;proc~pow -->
<g id="proc~~getexprvalue~~CallsGraph_edge16" class="edge">
<title>proc~unary&#45;&gt;proc~pow</title>
<path fill="none" stroke="#000000" d="M716.5799,-53C725.971,-53 736.6709,-53 746.737,-53"/>
<polygon fill="#000000" stroke="#000000" points="746.9162,-56.5001 756.9161,-53 746.9161,-49.5001 746.9162,-56.5001"/>
</g>
<!-- proc~functions -->
<g id="proc~~getexprvalue~~CallsGraph_node16" class="node">
<title>proc~functions</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node16"><a xlink:href=".././proc/functions.html" xlink:title="functions">
<polygon fill="#d9534f" stroke="#d9534f" points="902,-65 847,-65 847,-41 902,-41 902,-65"/>
<text text-anchor="middle" x="874.5" y="-50.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">functions</text>
</a>
</g>
</g>
<!-- proc~pow&#45;&gt;proc~functions -->
<g id="proc~~getexprvalue~~CallsGraph_edge17" class="edge">
<title>proc~pow&#45;&gt;proc~functions</title>
<path fill="none" stroke="#000000" d="M811.153,-53C819.1482,-53 828.046,-53 836.5856,-53"/>
<polygon fill="#000000" stroke="#000000" points="836.7397,-56.5001 846.7397,-53 836.7397,-49.5001 836.7397,-56.5001"/>
</g>
<!-- proc~brackets -->
<g id="proc~~getexprvalue~~CallsGraph_node17" class="node">
<title>proc~brackets</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node17"><a xlink:href=".././proc/brackets.html" xlink:title="brackets">
<polygon fill="#d9534f" stroke="#d9534f" points="992,-45 938,-45 938,-21 992,-21 992,-45"/>
<text text-anchor="middle" x="965" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">brackets</text>
</a>
</g>
</g>
<!-- proc~functions&#45;&gt;proc~brackets -->
<g id="proc~~getexprvalue~~CallsGraph_edge18" class="edge">
<title>proc~functions&#45;&gt;proc~brackets</title>
<path fill="none" stroke="#000000" d="M902.1447,-46.8907C910.2895,-45.0907 919.3359,-43.0915 927.9692,-41.1836"/>
<polygon fill="#000000" stroke="#000000" points="928.8264,-44.5787 937.8355,-39.0032 927.3158,-37.7436 928.8264,-44.5787"/>
</g>
<!-- proc~brackets&#45;&gt;proc~add_sub -->
<g id="proc~~getexprvalue~~CallsGraph_edge19" class="edge">
<title>proc~brackets&#45;&gt;proc~add_sub</title>
<path fill="none" stroke="#000000" d="M937.8123,-28.1074C902.4913,-22.1865 838.8518,-13 784,-13 689.5,-13 689.5,-13 689.5,-13 637.3126,-13 578.7566,-28.8254 541.8889,-40.8123"/>
<polygon fill="#000000" stroke="#000000" points="540.4711,-37.5953 532.0888,-44.075 542.6824,-44.2369 540.4711,-37.5953"/>
</g>
<!-- proc~recog_vars -->
<g id="proc~~getexprvalue~~CallsGraph_node18" class="node">
<title>proc~recog_vars</title>
<g id="a_proc~~getexprvalue~~CallsGraph_node18"><a xlink:href=".././proc/recog_vars.html" xlink:title="recog_vars">
<polygon fill="#d9534f" stroke="#d9534f" points="1093,-45 1028,-45 1028,-21 1093,-21 1093,-45"/>
<text text-anchor="middle" x="1060.5" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">recog_vars</text>
</a>
</g>
</g>
<!-- proc~brackets&#45;&gt;proc~recog_vars -->
<g id="proc~~getexprvalue~~CallsGraph_edge20" class="edge">
<title>proc~brackets&#45;&gt;proc~recog_vars</title>
<path fill="none" stroke="#000000" d="M992.111,-33C1000.1173,-33 1009.0822,-33 1017.8182,-33"/>
<polygon fill="#000000" stroke="#000000" points="1017.8973,-36.5001 1027.8973,-33 1017.8972,-29.5001 1017.8973,-36.5001"/>
</g>
</g>
</svg>
</div><script>var panprocgetexprvalueCallsGraph = svgPanZoom('#procgetexprvalueCallsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~getexprvalue~~CalledByGraph Pages: 1 -->
<svg id="procgetexprvalueCalledByGraph" width="262pt" height="116pt"
 viewBox="0.00 0.00 262.00 116.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~getexprvalue~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 112)">
<title>proc~~getexprvalue~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-112 258,-112 258,4 -4,4"/>
<!-- proc~getexprvalue -->
<g id="proc~~getexprvalue~~CalledByGraph_node1" class="node">
<title>proc~getexprvalue</title>
<polygon fill="none" stroke="#000000" points="254,-66 178,-66 178,-42 254,-42 254,-66"/>
<text text-anchor="middle" x="216" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">getExprValue</text>
</g>
<!-- proc~fileparsing -->
<g id="proc~~getexprvalue~~CalledByGraph_node2" class="node">
<title>proc~fileparsing</title>
<g id="a_proc~~getexprvalue~~CalledByGraph_node2"><a xlink:href=".././proc/fileparsing.html" xlink:title="fileParsing">
<polygon fill="#d9534f" stroke="#d9534f" points="102,-108 40,-108 40,-84 102,-84 102,-108"/>
<text text-anchor="middle" x="71" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">fileParsing</text>
</a>
</g>
</g>
<!-- proc~fileparsing&#45;&gt;proc~getexprvalue -->
<g id="proc~~getexprvalue~~CalledByGraph_edge1" class="edge">
<title>proc~fileparsing&#45;&gt;proc~getexprvalue</title>
<path fill="none" stroke="#000000" d="M102.1061,-86.9899C121.3735,-81.409 146.5066,-74.1291 168.2599,-67.8282"/>
<polygon fill="#000000" stroke="#000000" points="169.3522,-71.1557 177.9836,-65.0116 167.4047,-64.4321 169.3522,-71.1557"/>
</g>
<!-- proc~expressionparsingwithfield -->
<g id="proc~~getexprvalue~~CalledByGraph_node3" class="node">
<title>proc~expressionparsingwithfield</title>
<g id="a_proc~~getexprvalue~~CalledByGraph_node3"><a xlink:href=".././proc/expressionparsingwithfield.html" xlink:title="expressionParsingWithField">
<polygon fill="#d9534f" stroke="#d9534f" points="142,-66 0,-66 0,-42 142,-42 142,-66"/>
<text text-anchor="middle" x="71" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">expressionParsingWithField</text>
</a>
</g>
</g>
<!-- proc~expressionparsingwithfield&#45;&gt;proc~getexprvalue -->
<g id="proc~~getexprvalue~~CalledByGraph_edge2" class="edge">
<title>proc~expressionparsingwithfield&#45;&gt;proc~getexprvalue</title>
<path fill="none" stroke="#000000" d="M142.2256,-54C150.8873,-54 159.5731,-54 167.7886,-54"/>
<polygon fill="#000000" stroke="#000000" points="167.906,-57.5001 177.9059,-54 167.9059,-50.5001 167.906,-57.5001"/>
</g>
<!-- proc~expressionparsing -->
<g id="proc~~getexprvalue~~CalledByGraph_node4" class="node">
<title>proc~expressionparsing</title>
<g id="a_proc~~getexprvalue~~CalledByGraph_node4"><a xlink:href=".././proc/expressionparsing.html" xlink:title="expressionParsing">
<polygon fill="#d9534f" stroke="#d9534f" points="120.5,-24 21.5,-24 21.5,0 120.5,0 120.5,-24"/>
<text text-anchor="middle" x="71" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">expressionParsing</text>
</a>
</g>
</g>
<!-- proc~expressionparsing&#45;&gt;proc~getexprvalue -->
<g id="proc~~getexprvalue~~CalledByGraph_edge3" class="edge">
<title>proc~expressionparsing&#45;&gt;proc~getexprvalue</title>
<path fill="none" stroke="#000000" d="M112.5512,-24.0355C129.9213,-29.0668 150.2092,-34.9433 168.1945,-40.1529"/>
<polygon fill="#000000" stroke="#000000" points="167.3373,-43.5484 177.9163,-42.9689 169.2849,-36.8248 167.3373,-43.5484"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>